Subject: bug#1033: Indic language rendering problem

From: "Parag N(पराग़)" <[email-masked]>
Date: Mon, 24 Nov 2008 12:06:56 +0530

Hi Ashish,
On Wed, Nov 19, 2008 at 11:04 PM, Ashish Shukla आशीष शुक्ल <
[email-masked]> wrote:

> Hi Parag,
>
> I reported similar bug (# 320) in May, 2008 where it is concluded that
> Emacs
> is not selecting the proper font for Indic script, for which I've applied
> the
> following temporary workaround for Devanagari script rendering to force the
> use of "Lohit Hindi" font.
>
> ,---- M-x my-setup-devanagari-rendering
> | (defun my-setup-devanagari-rendering()
> |   "Setup devanagari rendering"
> |   (interactive)
> |   (set-fontset-font "fontset-default"
> |                                       (cons (decode-char 'ucs ?\x0900)
> |                                                 (decode-char 'ucs
> ?\x097f))
> |                                       "Lohit Hindi-12"))
> `----
>
> But that problem also went away in June or July, 2008, IIRC. So, that
> workaround is not needed anymore. Following is the link to the screenshot
> of
> the HELLO file rendered in "GNU Emacs 23.0.60.1 (x86_64-pc-linux-gnu, X
> toolkit, Xaw3d scroll bars) of 2008-11-16 on chateau":
>
> http://flickr.com/photos/wahjava/3043187881/
>
> What I think, the problem at your end will be is lack of m17n support in
> Emacs. Following is the './configure' command line of my Emacs build:
>
> ,----
> | ./configure '--prefix=/usr' '--host=x86_64-pc-linux-gnu'
> | '--mandir=/usr/share/man' '--infodir=/usr/share/info'
> '--datadir=/usr/share'
> | '--sysconfdir=/etc' '--localstatedir=/var/lib'
> '--program-suffix=-emacs-23'
> | '--infodir=/usr/share/info/emacs-23' '--with-sound' '--with-x'
> | '--with-toolkit-scroll-bars' '--with-gif' '--with-jpeg' '--with-png'
> | '--with-rsvg' '--with-tiff' '--with-xpm' '--with-freetype' '--with-xft'
> | '--with-libotf' '--with-m17n-flt' '--with-x-toolkit=athena'
> '--without-hesiod'
> | '--without-kerberos' '--without-kerberos5' '--with-gpm' '--with-dbus'
> | '--libdir=/usr/lib64' '--build=x86_64-pc-linux-gnu'
> | 'build_alias=x86_64-pc-linux-gnu' 'host_alias=x86_64-pc-linux-gnu'
> 'CFLAGS=-O2
> | -pipe -mtune=nocona -march=nocona -ggdb' 'LDFLAGS=-Wl,--hash-style,both'
> `----
>
> To figure out which font is used to render a particular character, move
> cursor
> to the character and do "C-u C-x =" as pointed to me by Kenichi Handa.
>

         Thanks very much. I now got correct rendering for Indic languages
in emacs.

Regards,
Parag.